#ifndef __DRAWLCDGUI_H__
#define __DRAWLCDGUI_H__
/*--------------------------------------------------------------------------------------
*  @file     DrawLCDGUI.h
*  @author   ZhangJing
*  @version  base on stm32f0x   
*  @date     2015.09.11
*  @brief    LCD GUI绘图
---------------------------------------------------------------------------------------*/
#include "stdint.h"

typedef enum
{
	WaitDisp = 0x00,//等待显示
	Startup = 0x01,//启动界面
	DeviceID = 0x02,//设备ID
	TimeDisp = 0x03,//时间显示
	TimeSetDisp = 0x04,//时间设置
	PasswordSetDisp = 0x05,//密码设置
	VerifyInfoDisp = 0x06,//确认住院信息
	AiroutDisp = 0x07,//排气
	SetParamDisp = 0x08,//设置
	HistoryFisrtDisp = 0x09,//历史数据首页
	HistorySecondDisp = 0x0a,//历史数据第二页
	RunFirstDoseDisp = 0x0b,//运行首次量
	RunMainDisp = 0x0c,//运行界面
	RunPressureDisp = 0x0d,//压力界面
	PauseMainDisp = 0x0e,//暂停主页
	LockPasswordDisp = 0x0f,// 密码显示
	TransfuseOverDisp = 0x10,//输液完毕
	AlarmDeviceDisp = 0x11,//机械故障
	AlarmJamDisp = 0x12,//堵塞故障
	AlarmMaxDisp = 0x13,//极限量
	AlarmBubbleDisp = 0x14,//气泡或无液
	AlarmNonePillCaseDisp = 0x15,//未装药盒
	AlarmLowVoltDisp = 0x16,//电压低
	AlarmLineLostDisp = 0x17,//管路脱落
	EvaluateTransfuseDisp = 0x18,//输注评价
	EvaluatePainDisp = 0x19,//疼痛评价
	LimbMyodynamiaDisp = 0x1a,//四肢肌力
	EvaluateUploadEnterDisp = 0x1b,//进入评价上传
	EvaluateUploadingDisp = 0x1c,//正在上传评价
	EvaluateUploadSuccessDisp = 0x1d,//上传评价成功
	EvaluateUploadFailDisp = 0x1e,//上传评价失败
	EngineeringMode1Disp = 0x1f,//工程模式1
	EngineeringMode2Disp = 0x20,//工程模式2
	SetVerifyInfoDisp = 0x21,//设置确认住院信息
	ClearDisp = 0x22,//清屏
	RunPCADisp = 0x23,//运行PCA显示
	Test1Disp = 0x24,//测试页显示
	Input_total = 0x25,//输入总量   2017.03.17
	Inpatien = 0x26,//未设置住院号提示界面
	DispCurrent = 0xff,//显示当前页	
} LCDPictureType;

extern LCDPictureType emDisplayPicture;//当前显示页，用来定位当前页，防止本页反复刷新
extern LCDPictureType	emCurrentPicture;//当前所在页，确定现在是在哪一页，用来做页面选择

extern LCDPictureType	emLockPassowrdPicture;//在进入锁定密码后保存将要进入的界面
extern LCDPictureType	emLockPassowrdFailPicture;//在锁定失败密码后保存将要进入的界面
extern LCDPictureType	emAlarmRecordPicture;//报警时保存之前的界面
extern LCDPictureType  emAlarmRememberPicture;//报警时记录报警界面

extern uint8_t	modifyStep;//通用修改步骤

void LCDPictureChoose( void );
void LCDPictureDisplay( void );
void DrawSilenceDisplay( void );
void DrawRunFirstDosePicture( void );
void DrawRunMainPicture( void );
void DrawScheduleDisplay(void);
void DrawPhoneDisplay( void );
void DrawLockDisplay( void );
void DrawSignalDisplay( void );// add by wulianwei
void DrawPauseDisplay( void );
void DrawRegistingPicture( void );
void DrawRegistFailPicture( void );
void DrawRegistSucPicture( void );

#endif
